EDIT - task #8834

use TaxonNodeDto instead of UuidAndTitleCache
01/28/2020 12:30 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.14

Severity: normal

Description

in #8815 the UuidAndTitleCache methods are to be removed. The vaadin apps need to be adapted accordingly.

Related issues:

Related to EDIT - bug #8833: distribution editor: Exception when filtering by... Duplicate
Related to EDIT - bug #8892: Taxon search does not work for names without rank Closed
Blocks EDIT - bug #8815: Clean up TaxonNodeDto and UuidAndTitleCache usage in... Closed

Associated revisions

Revision 0d7a94de - 04/02/2020 04:11 PM - Andreas Kohlbecker
ref #8834 UuidAndtitleCache replaced by TaxonNodeDto

History

#1 - 01/28/2020 12:30 PM - Andreas Kohlbecker
- Blocks bug #8815: Clean up TaxonNodeDto and UuidAndTitleCache usage in TaxonNodeService/Dao added

#2 - 01/28/2020 12:31 PM - Andreas Kohlbecker

- Description updated

#3 - 01/28/2020 12:32 PM - Andreas Kohlbecker
- Related to bug #8833: distribution editor: Exception when filtering by taxon added

#4 - 02/24/2020 02:26 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#5 - 02/26/2020 11:56 AM - Andreas Miiller

Please also have a look to #8833 and adapt the related code accordingly. Also check if #8833 can be closed afterwards.

#6 - 02/26/2020 11:57 AM - Andreas Miiller

- Description updated

#7 - 02/26/2020 11:57 AM - Andreas Miiller

- Description updated

#8 - 03/10/2020 09:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#9 - 03/20/2020 03:55 PM - Andreas Kohlbecker

- Related to bug #8892: Taxon search does not work for names without rank added

#10 - 04/02/2020 04:12 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100
https://dev.e-taxonomy.eu/redmine/issues/8815
https://dev.e-taxonomy.eu/redmine/issues/8833
https://dev.e-taxonomy.eu/redmine/issues/8833

done.
